Re: [EXTERNAL] Fortran support for ninja

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Re: [EXTERNAL] Fortran support for ninja

CMake mailing list

Menno,

 

I believe the issue is that Ninja doesn't yet support Fortran. Brad King's dyndep code was accepted in this pull:

 

https://github.com/ninja-build/ninja/pull/1521

 

but that has not yet been released but I believe 1.10 is supposed to have it from what I've read on other issues.

 

Until then, like many of us Fortran + Ninja users, I recommend going to:

 

https://github.com/Kitware/ninja/releases

 

and downloading a release there.

 

Hopefully soon 1.10 will solve this. (That said, 1.8.2 to 1.9.0 took 700 days, so if that holds, 1.10 will be released on December 30, 2020...so keep the Kitware link around!)

 

Matt

-- 

Matt Thompson, SSAI, Ld Scientific Programmer/Analyst

NASA GSFC,    Global Modeling and Assimilation Office

Code 610.1,  8800 Greenbelt Rd,  Greenbelt,  MD 20771

Phone: 301-614-6712                 Fax: 301-614-6246

http://science.gsfc.nasa.gov/sed/bio/matthew.thompson

 

From: CMake <[hidden email]> on behalf of "Deij-van Rijswijk, Menno" <[hidden email]>
Date: Wednesday, August 7, 2019 at 2:56 PM
To: "[hidden email]" <[hidden email]>
Subject: [EXTERNAL] [CMake] Fortran support for ninja

 

Hello,

 

Today I was trying to use the Ninja generator for CMake on a project containing Fortran and C++ source files. I got the error that ninja is not supported with CMake unless a special version of ninja is used that supports fortran. 

 

I got the source for this version from https://github.com/Kitware/ninja , built it and put the resulting binary in the PATH.

 

I keep getting the error that ninja is not supported, and for some reason it insists that the ninja version is 1.7.2, while the version installed is 1.9.0.

 

How is this supposed to work? What am I doing wrong?

 

Thanks for your insight and taking time to help me out.

 

All the best,

 

Menno 


dr. ir. Menno A. Deij-van Rijswijk | Researcher | Research & Development
MARIN | T +31 317 49 35 06 | [hidden email] | www.marin.nl

LinkedIn YouTube Twitter Facebook
MARIN news: 25th HISWA International Symposium, November 12 & 13


--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
https://cmake.org/mailman/listinfo/cmake
Reply | Threaded
Open this post in threaded view
|

Re: [EXTERNAL] Fortran support for ninja

CMake mailing list

Whoops. Apologies all.

 

First, I didn't quite read the URL in Menno's message correctly because my new Office 365 work email munges URLs something fierce (think ~30 characters to ~300 characters). Glad he was using Kitware's!

 

Second, apparently Office 365 is delaying messages from this list by about 5 days. This is going to be exciting.

 

Ashamedly yours,

Matt

 

-- 

Matt Thompson, SSAI, Ld Scientific Programmer/Analyst

NASA GSFC,    Global Modeling and Assimilation Office

Code 610.1,  8800 Greenbelt Rd,  Greenbelt,  MD 20771

Phone: 301-614-6712                 Fax: 301-614-6246

http://science.gsfc.nasa.gov/sed/bio/matthew.thompson

 

From: CMake <[hidden email]> on behalf of "Deij-van Rijswijk, Menno" <[hidden email]>
Date: Wednesday, August 7, 2019 at 2:56 PM
To: "[hidden email]" <[hidden email]>
Subject: [EXTERNAL] [CMake] Fortran support for ninja

 

Hello,

 

Today I was trying to use the Ninja generator for CMake on a project containing Fortran and C++ source files. I got the error that ninja is not supported with CMake unless a special version of ninja is used that supports fortran. 

 

I got the source for this version from https://github.com/Kitware/ninja , built it and put the resulting binary in the PATH.

 

I keep getting the error that ninja is not supported, and for some reason it insists that the ninja version is 1.7.2, while the version installed is 1.9.0.

 

How is this supposed to work? What am I doing wrong?

 

Thanks for your insight and taking time to help me out.

 

All the best,

 

Menno 


dr. ir. Menno A. Deij-van Rijswijk | Researcher | Research & Development
MARIN | T +31 317 49 35 06 | [hidden email] | www.marin.nl

LinkedIn YouTube Twitter Facebook
MARIN news: 25th HISWA International Symposium, November 12 & 13


--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
https://cmake.org/mailman/listinfo/cmake